## org.apache.mahout.analysis
Class WikipediaAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.mahout.analysis.WikipediaAnalyzer

All Implemented Interfaces:
  Closeable

    public class WikipediaAnalyzer

extends org.apache.lucene.analysis.Analyzer

Field Summary

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`WikipediaAnalyzer()`
`WikipediaAnalyzer(org.apache.lucene.analysis.CharArraySet stopSet)`

Method Summary
`org.apache.lucene.analysis.TokenStream` `tokenStream(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WikipediaAnalyzer

    public WikipediaAnalyzer()

### WikipediaAnalyzer

    public WikipediaAnalyzer(org.apache.lucene.analysis.CharArraySet stopSet)

Method Detail

### tokenStream

    public org.apache.lucene.analysis.TokenStream tokenStream(String fieldName,
                                                              Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.